Bug 55335 - imapd now logging to messages, not maillog
Summary: imapd now logging to messages, not maillog
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-29 21:15 UTC by Chris Rode
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 23:16:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog.conf (936 bytes, text/plain)
2001-11-01 06:03 UTC, Chris Rode
no flags Details

Description Chris Rode 2001-10-29 21:15:36 UTC
I'm not sure if this should be filed under imap, or sysklogd...

Recently installed 7.2.  In previous releases, imapd would send its 
login/logout messages to /var/log/maillog.  It's now spamming these 
to /var/log/messages.

I have not altered my /etc/syslog.conf file from what was installed from 
the sysklogd RPM.

Am I just being dense?  I'd really like to get these messages funneled 
into /var/log/maillog if at all possible.

Comment 1 Mike A. Harris 2001-11-01 00:38:18 UTC
Nothing has changed in the imap package that would cause this to
occur.  It is either something that has changed with the syslog
packages, or a local configuration issue.  Reassigning to syslog
to confirm wether or not something has changed there.

Comment 2 Mike A. Harris 2001-11-01 00:39:17 UTC
Also, please attach your syslog.conf for analysis.

Comment 3 Bill Nottingham 2001-11-01 01:36:06 UTC
The default syslog configuration hasn't changed between 7.1 and 7.2.

Comment 4 Chris Rode 2001-11-01 06:03:14 UTC
Created attachment 35961 [details]
syslog.conf

Comment 5 Chris Rode 2002-05-24 20:21:40 UTC
After upgrading to 7.3, and still seeing this problem, I think I've figured out 
what was causing it.

I used authconfig to create an /etc/pam.d/system-auth that would authenticate 
against either pam_unix or pam_krb5.  authconfig put pam_unix before pam_krb5.  
The user does not have a unix password stored on the system, so pam_unix was 
returning failure, and pam_krb5 would then return success.  This was being 
logged in /var/log/messages.

I reordered the authenticate section of system-auth to put pam_krb5 before 
pam_unix, and now the login/logout messages are being logged 
to /var/log/maillog.

*shrug*  Not sure why the order would make a difference where these messages 
were being logged, but now that my /var/log/messages isn't being spammed every 
5 minutes by imapd, I'm happy. :)

Comment 6 Jason Vas Dias 2005-06-07 23:16:32 UTC
I'm just closing out old bugs here - glad this one seems to have
been sorted out!



Note You need to log in before you can comment on or make changes to this bug.